﻿@using SSCMvc.Models
@using System.Web.UI.WebControls
@model IEnumerable<SSCMvc.Models.MaGroupTime_View>
@{SSCWebDBEntities1 db = new SSCWebDBEntities1();}
@if (Model != null)
{
   
  
    
    
    <table class="table" id="a">
        <tr>
            <th>
                Id
            </th>
            <th>
                Course
            </th>
            <th>
                Group
            </th>
            <th>
                Batch Time
            </th>
            <th>
                <input type="checkbox" id="chk_all" checked="checked" />All
            </th>
        </tr>
        @{
    int i = 0;
    string chkname = "ch";
    foreach (var item in Model)
    {
        i++;
        chkname = "ch" + i;
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Id)
                </td>
                <td>
                    @{ string coursename = db.MaCourses.Where(z => z.Id == item.CourseId).Select(z => z.CourseName).First();
                    }
                    @coursename
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.GroupName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.BatchTime)
                </td>
                <td>
                    @*  <input type="checkbox" id="@chkname" checked="checked"/>*@
                    @Html.CheckBoxFor(modelItem => item.Status)
                    @Html.HiddenFor(modelItem => item.Status, new { @id = "parStatus" })
                </td>
                @Html.HiddenFor(modelItem => item.Id, new { @id = @i })
            </tr>
            
    }
        
        }
    </table>
  
   
}
